# AutoGear

## [2022-09-23-release](https://github.com/AlexFolland/AutoGear/tree/2022-09-23-release) (2022-09-24)
[Full Changelog](https://github.com/AlexFolland/AutoGear/commits/2022-09-23-release) [Previous Releases](https://github.com/AlexFolland/AutoGear/releases)

- Fixed a bug where robes didn't work.  
    INVTYPE\_ROBE identification into chest slot.  
- Fix armor weights for feral druid.  Also fix debug weapon type message error.  
- spell crit fixes, socket weights, spell damage fix, AutoGearDump function  
- Separate quest-completing option into 2 options  
- Fix shields and replace "this spec" with spec and class name in won't-equip reasons  
- Merge pull request #31 from AmsTaFFix/start-using-toc-version  
    started using toc version to determine available functions and methods  
- changed toc compare from GT to GTE  
- fixed wrong written comment to more accurate one  
- use toc version const instead of raw numbers  
- fix expansion name in comment  
- started using toc version to determine available functions and methods  
- Merge pull request #30 from AmsTaFFix/remove-of-part-localization-dependency  
    refactored part that dependent on localization specific names  
- removed excess comments  
- rename MOA to MOP, fix comment and change reason text  
- removed excessive info from tooltip  
- refactored part that dependent on localization specific names  
    also added definitions to make easier write and read code  
- add packaging for WotLK  
- Merge pull request #29 from AmsTaFFix/fix-toc-files-for-localization  
    WIP: Fix toc files for localization (accept after #28 PR)  
- fixed toc files for proper localization work  
- Merge pull request #28 from AmsTaFFix/resolve-localization-issues  
    WIP: Resolve localization issues (accept after #27 PR)  
- Merge pull request #27 from AmsTaFFix/fix-for-wotlk  
    WIP: fixes to work in WotLK (thus PR should be accepted after #25)  
- Merge pull request #25 from AmsTaFFix/tab-fixes  
    Fix indents from mixed space/tab to tab only  
- Merge pull request #26 from AmsTaFFix/updated-toc-files  
    updated .toc files for new addon WotLK  
- partially resolved issues with addon on ruRU clients  
- updates to make addon works again in wotlk  
- updated .toc files for new addon WotLK  
- remove some invalid tabs  
- fixed indents from mixed space/tab to tab only  
- address issue #22  
- update bcc and fix potential Pawn scale name issue  
- fix not finding usable default Pawn scale  
- might fix mainline assassination; untested  
- another try preventing rolling without item data  
- revert previous change (needs more testing)  
- prevent not having item data when deciding roll  
- printed chat text: green for need; red for greed  
- adjusting hunter weight  
- Merge branch 'master' of https://github.com/AlexFolland/AutoGear  
- fixed typo lootRoolID, hopefully solving greeds  
- fix some variable scopes  
- minor improvement to updated simulation tooltip  
- new NEED/GREED simulation method  
- warn about lagginess with debug info in tooltips  
- consider all items when testing need/greed  
- correct the way AutoGearConsiderItem is called  
- reset AutoGearBestItems on toggling Pawn override  
- reset AutoGearBestItems when toggling Pawn  
- climbed out of the rabbit hole  
- nonsense to fix up (do not use this)  
- handle mounts better, mostly to see "NEED" working  
- initial roll-test code (not working yet; needs serious investigation and fixing)  
- fix for incorrectly identifying crossbow as 2h weapon in TBC  
- adjust mage weights  
- fix syntax error  
- added basic checks for 1h being worthwhile before rolling need  
- fix up the 2h better checking code  
- ensure 2h is better than best main + off before considering it better  
- updated Shadowlands toc version number  
- adjusting mage spell hit weights  
- more spell hit rating fixes  
- added hit rating  
- Fix crit for mage and some tbc wording  
- trivial refactor of way to get allowed verbosity names  
- Update AutoGear.lua  
    Disabling item caching as I suspect it's causing the bad score assignment issues  
- Fix attack power for Ursol's Claw so druids see it as valid  
- add -BCC, -Classic.toc, -Mainline toc files so WoW doesn't say AutoGear's out of date  